Kea: isc::radius::RadiusAuthPendingRequests< PktPtrType > Class Template Reference

| Kea 3.2.0-git

isc::radius::RadiusAuthPendingRequests< PktPtrType > Class Template Reference

Class of pending Radius access requests. More...

`#include <radius_access.h>`

## Public Member Functions
void | clear ()
| Clear the map.
RadiusAuthPendingRequestPtr< PktPtrType > | get (const std::vector< uint8_t > &id) const
| Get a pending access request from the map.
void | remove (const std::vector< uint8_t > &id)
| Remove a pending access request from the map.
void | set (const std::vector< uint8_t > &id, PktPtrType query)
| Set a pending access request into the map.
size_t | size () const
| Size of the map.

## Public Attributes
std::mutex | mutex_
| The mutex.

## Detailed Description

template<class PktPtrType>
class isc::radius::RadiusAuthPendingRequests< PktPtrType >

Class of pending Radius access requests.

Template Parameters

  PktPtrType | Either Pkt4Ptr or Pkt6Ptr.

Definition at line 48 of file radius_access.h.

## Member Function Documentation

## ◆ clear()

template<class PktPtrType>

void isc::radius::RadiusAuthPendingRequests< PktPtrType >::clear | ( |  | ) |
| inline

Clear the map.

Definition at line 59 of file radius_access.h.

## ◆ get()

template<class PktPtrType>

RadiusAuthPendingRequestPtr< PktPtrType > isc::radius::RadiusAuthPendingRequests< PktPtrType >::get | ( | const std::vector< uint8_t > & | id | ) | const
| inline

Get a pending access request from the map.

Parameters

  id | The Radius id.

Returns
  The pointer to the pending access request or null.

Definition at line 68 of file radius_access.h.

## ◆ remove()

template<class PktPtrType>

void isc::radius::RadiusAuthPendingRequests< PktPtrType >::remove | ( | const std::vector< uint8_t > & | id | ) |
| inline

Remove a pending access request from the map.

Parameters

  id | The Radius id.

Definition at line 91 of file radius_access.h.

## ◆ set()

template<class PktPtrType>

void isc::radius::RadiusAuthPendingRequests< PktPtrType >::set | ( | const std::vector< uint8_t > & | id,
|  | PktPtrType | query )
| inline

Set a pending access request into the map.

Assume that get was called before and returned null.

Parameters

  id | The Radius id.
  query | The query which triggered the access request.

Definition at line 83 of file radius_access.h.

## ◆ size()

template<class PktPtrType>

size_t isc::radius::RadiusAuthPendingRequests< PktPtrType >::size | ( |  | ) | const
| inline

Size of the map.

Returns
  The map size.

Definition at line 54 of file radius_access.h.

## Member Data Documentation

## ◆ mutex_

template<class PktPtrType>

std::mutex isc::radius::RadiusAuthPendingRequests< PktPtrType >::mutex_

The mutex.

Must be taken before any operation.

Definition at line 103 of file radius_access.h.

The documentation for this class was generated from the following file:

- radius_access.h